version: '3'

services:

  nginx-web:
    image: nginx:1.23.4
    container_name: nginx-web
    environment:
      # 时区上海
      TZ: Asia/Shanghai
    ports:
      - "8061:8061"
      - "8062:8062"
    volumes:
      # 证书映射
      - /docker/nginx/cert:/etc/nginx/cert
      # 配置文件映射
      - /docker/nginx/conf/nginx.conf:/etc/nginx/nginx.conf
      # 页面目录
      - /docker/nginx/html:/usr/share/nginx/html
      # 日志目录
      - /docker/nginx/log:/var/log/nginx
    privileged: true
    network_mode: "host"

  redis:
    image: redis:6.2.12
    container_name: redis
    ports:
      - "6379:6379"
    environment:
      # 时区上海
      TZ: Asia/Shanghai
    volumes:
      # 配置文件
      - /docker/redis/conf/redis.conf:/redis/config/redis.conf:rw
      # 数据文件
      - /docker/redis/data:/redis/data:rw
    command: "redis-server /redis/config/redis.conf"
    privileged: true
    network_mode: "host"

  case-server:
    image: case-server:1.0.0
    container_name: case-server
    environment:
      # 时区上海
      TZ: Asia/Shanghai
      SERVER_PORT: 8080
    volumes:
      # 配置文件
      - /docker/server/logs/:/case/server/logs/
    privileged: true
    network_mode: "host"




